Subject: Re: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers

From: Clément Lassieur <[email-masked]>
Date: Mon, 05 Nov 2018 11:53:15 +0100

Hi Ludovic,

I don't understand why you closed the bug report.  Your explanation of
the bug makes sense, but it doesn't mean that it's fixed.

I expect that when a substitute server is down, for whatever reason,
Guix should still work smoothly if there is another server set up.

If you think there is no way to fix it, maybe the tag "wontfix" would be
more appropriate?

Cheers,
Clément

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> Clément Lassieur <[email-masked]> skribis:
>
>> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0' failed: 504, "Gateway Time-out"
>> substitution of /gnu/store/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0 failed
>
> The problem is that hydra.gnu.org is currently down¹ and
> mirror.hydra.gnu.org is just proxying it.
>
> What happens here is that
> <https://mirror.hydra.gnu.org/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5.narinfo>
> is available (cached), whereas the corresponding
> <https://mirror.hydra.gnu.org/guix/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0>
> is not.
>
> I don’t have a good solution to this other than temporarily removing
> mirror.hydra.gnu.org from your substitute URLs.
>
> HTH,
> Ludo’.
>
> ¹ https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00434.html